class V1::VersionsController < ApplicationController

  # GET v1/learning_objects/1/versions
  # GET v1/learning_objects/1/versions.json
  def index
    render json: resource_model.versions
  end

  # GET v1/learning_objects/1/versions/123
  # GET v1/learning_objects/1/versions/123.json
  def show
    resource = PaperTrail::Version.find(params[:id])
    render json: resource
  end

  def checkout
    resource = PaperTrail::Version.find(params[:id]).reify
    if resource.save
      render json: resource
    else
      render nothing: true, status: :unprocessable_entity
    end
  end

  private

  def resource_model
    resource, id = request.path.split('/')[2, 3]
    resource_model = resource.singularize.classify.constantize
    resource_model.find(id)
  end

end
