class Application < ActiveRecord::Base
  belongs_to :user

  validates :domain, presence: true, uniqueness: true
  validates :application_id, presence: true, uniqueness: true
  before_create :generate_application_id

  private

  def generate_application_id
    self.application_id = SecureRandom.uuid
  end
end
